<div class="d-flex justify-content-center">
    <form [formGroup]="form" (ngSubmit)="submit()" novalidate class="p-3">
        <h2>Master Password Setup</h2>
        <fieldset [disabled]="(signingIn$ | async) || false">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <input type="password" class="form-control form-control-lg" formControlName="password" #passwordRef
                           placeholder="Password"
                           [ngClass]="password.dirty ? {
                               'is-invalid': password.invalid,
                               'is-valid': password.valid
                           } : {}">
                </div>
                <div class="form-group col-md-6">
                    <input type="password" class="form-control form-control-lg" formControlName="passwordConfirm"
                           placeholder="Password Confirm"
                           [ngClass]="passwordConfirm.dirty ? {
                               'is-invalid': passwordConfirm.invalid,
                               'is-valid': passwordConfirm.valid
                           } : {}">
                    <div class="invalid-feedback" *ngIf="passwordConfirm.invalid && passwordConfirm.errors?.mismatch">
                        Passwords don't match.
                    </div>
                </div>
            </div>
            <div class="form-group text-muted">
                The app uses this password to encrypt all the sensitive data to be stored in the
                <a (click)="$event.preventDefault(); openSettingsFolder()" href="javascript:void(0)">settings folder</a>.
                All the files being produced and stored by the app listed in
                the <a (click)="$event.preventDefault(); openFaq()" href="{{ PACKAGE_GITHUB_PROJECT_URL }}/wiki/FAQ">FAQ</a>.
            </div>
            <button class="btn btn-lg btn-primary btn-block" type="submit" [disabled]="form.invalid">
                <i class="fa fa-spinner fa-pulse fa-fw" *ngIf="signingIn$ | async"></i>
                Submit
            </button>
            <div class="form-check text-right">
                <label class="form-check-label">
                    <input class="form-check-input" formControlName="savePassword" type="checkbox">
                    <electron-mail-save-password-label
                        [savePassword]="savePassword.value"
                    ></electron-mail-save-password-label>
                </label>
            </div>
        </fieldset>
    </form>
</div>
